﻿using System.Reflection;
using MSAdminUsuarios.Context;

namespace MSAdminUsuarios.Dto
{
    public class UsuarioDTO
    {
        public UsuarioDTO(USUARIO usuario)
        {
            foreach (PropertyInfo prop in usuario.GetType().GetProperties())
            {
                var valor = prop.GetValue(usuario, null);
                string key = prop.Name;
                if (valor == null) continue;

                this.GetType().GetProperty(key)?.SetValue(this, valor);
            }
        }
        public string TX_PKDOC_USUMS { get; set; } = null!;
        public string? TX_LOGINNAME_USUMS { get; set; }
        public string? TX_PRIMERNOM_USUMS { get; set; }
        public string? TX_SEGUNDONOM_USUMS { get; set; }
        public string? TX_PRIMERAPELL_USUMS { get; set; }
        public string? TX_SEGUNDOAPELL_USUMS { get; set; }
        public string? TX_DIRECCION_USUMS { get; set; }
        public string? TX_TELEFONO_USUMS { get; set; }
        public string? TX_CELULAR_USUMS { get; set; }
        public string? TX_CORREO_USUMS { get; set; }
        public int? NU_ESTADO_USUMS { get; set; }
        //public string? TX_PASSWORD_USUMS { get; set; }
        public int? NU_TIPODOC_USUMS { get; set; }
        public int? NU_PK_USUMS { get; set; }
        public int? BL_PERTENCEIPS_USUMS { get; set; }
        public string? TX_NOMBRE_PVD { get; set; }
        public int? BL_VIENELDAP_USUMS { get; set; }
        public int? NU_GRUPO_USUMS { get; set; }
        public int? NU_CARGO_USUMS { get; set; }
        public int? NU_MODALIDADCTT_USUMS { get; set; }
        public string? TX_SEDES_USUMS { get; set; }
        public int? NU_BLOQUEO_USUMS { get; set; }
        public string? TX_UUID_USUMS { get; set; }
        public int? NU_TIPOUSUARIO_USUMS { get; set; }
        public string? TX_REGPROF_MDC { get; set; }
    }
}
